
/*
 * lib=EXREPORT env=A4GL_PDFTYPE lib_prefix=A4GLPDFREP_ api_prefix=
 * @file
 * Function prototypes
 *
 * This file was created from .spec file of same name, using dlmagic script
 * - if you need to edit it, edit .spec file instad, and use [make filename.h]
 * to re-create it.
 *
 * @todo See if the functions are static
 * or to be externally seen
 */

/*******************************************************************
* (c) 1997-2005 Aubit Computing Ltd.
*
*
********************************************************************/

/*
=====================================================================
                    Functions prototypes
=====================================================================
*/

#ifdef DEBUG
#define DEBUG_SPEC
#endif
#ifndef __EXREPORT_H__
#define __EXREPORT_H__
#ifdef __cplusplus
extern "C"
{
#endif

int A4GLEXREPORT_initlib (void);
/* void A4GL_pdf_rep_print (void *rep, int a, int s, int right_margin) */
/* void A4GL_pdf_fputmanyc (FILE * f, int c, int cnt) */
/* void A4GL_pdf_set_column (void *rep) */
/* void A4GL_pdf_skip_to (void *rep, double a) */
/* void A4GL_pdf_skip_by (void *rep, double a) */
/* void A4GL_pdf_aclfgli_skip_lines (void *rep) */
/* void A4GL_pdf_need_lines (void *rep) */
/* void A4GL_pdf_skip_top_of_page (void *rep) */
/* void A4GL_pdf_set_info (void *p,char *creator)  */
/* void A4GL_pdf_rep_close (void *p) */
/* double A4GL_pdf_size (double f, char c, struct pdf_rep_structure *p) */
/* void A4GL_pdf_pdffunc (void *p, char *fname, int n) */
/* void A4GL_pdf_blob_print (void *p, void *blob, char *type, int cr) */
void A4GL_pdf_rep_print(void* rep,int a,int s,int right_margin,int why);

void A4GL_pdf_rep_print_tag(void* rep,int why,char* tag);

void A4GL_pdf_fputmanyc(FILE* f,int c,int cnt);

void A4GL_pdf_set_column(void* rep);

void A4GL_pdf_skip_to(void* rep,double a);

void A4GL_pdf_skip_by(void* rep,double a);

void A4GL_pdf_aclfgli_skip_lines(void* rep);

void A4GL_pdf_need_lines(void* rep);

void A4GL_pdf_skip_top_of_page(void* rep,int n);

void A4GL_pdf_set_info(void* p,char* creator);

void A4GL_pdf_rep_close(void* p);

double A4GL_pdf_size(double f,char c,void* p);

int A4GL_pdf_pdffunc_internal(void* p,char* fname,int n);

void A4GL_pdf_blob_print(void* p,void* blob,char* type,int cr);

void A4GL_pdf_image_print(void* p,char* type,int cr);

#ifdef __cplusplus
}
#endif
#endif  /* #ifdef __(EXREPORT)_H__  */

